Package org.drinkless.tdlib

# Class TdApi.BusinessOpeningHours

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BusinessOpeningHours

Enclosing class:
  `TdApi`

public static class TdApi.BusinessOpeningHours extends TdApi.Object
Describes opening hours of a business.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.BusinessOpeningHoursInterval[]`
  `openingHours`
  Intervals of the time when the business is open.
  `String`
  `timeZoneId`
  Unique time zone identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusinessOpeningHours()`
  Describes opening hours of a business.
  `BusinessOpeningHours(String timeZoneId, TdApi.BusinessOpeningHoursInterval[] openingHours)`
  Describes opening hours of a business.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### timeZoneId

    public String timeZoneId
    Unique time zone identifier.

  - ### openingHours

    public TdApi.BusinessOpeningHoursInterval[] openingHours
    Intervals of the time when the business is open.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BusinessOpeningHours

    public BusinessOpeningHours()
    Describes opening hours of a business.

  - ### BusinessOpeningHours

    public BusinessOpeningHours(String timeZoneId, TdApi.BusinessOpeningHoursInterval[] openingHours)
    Describes opening hours of a business.
    Parameters:
      `timeZoneId` - Unique time zone identifier.
      `openingHours` - Intervals of the time when the business is open.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR